#!/usr/bin/env python
import numpy as np
import matplotlib.pyplot as mp
from numpy.random import normal
from dreamZPT.wrapper import DREAMZS

# Fakey parameters
Amplitude = 1.01
Period = 0.53
Phase = 0.85
Decay = 1.22

# Time array
# 0 to 5 in 1000 steps
t = np.linspace(0,5,1000)

y = Amplitude * np.sin(2*np.pi*t/Period + Phase)*np.exp(-t/Decay)

# Salt the model with noise
uncertainty = Amplitude / 20. * np.ones(len(y))
model = y + uncertainty*normal(size=len(y))

# Save the noisy model
fp = open('dsc.txt', 'w')
for i in range(len(model)):
    print >>fp, t[i], model[i], uncertainty[i]
fp.close()


