import numpy as np

def multiGaussDreamZS(p, x0=9.0, sigma=0.1):
    # patterned after the multistudent distribution in DREAMZS paper
    # center at 9,9,9,9,....
    x = p - x0
    z = np.dot(np.dot(x, sigma), x)
    return -z*z

def emceeGaussian(p, x0=9.0, epsilon=0.001):
    x = p - x0
    ndim = len(p) # needs to be even!
    # calculate pairwise
    sum = 0.0
    for i in range(ndim/2):
        x1 = x[2*i]
        x2 = x[2*i+1]
        sum -= (x1-x2)**2 / (2.*epsilon)
        sum -= (x1+x2)**2 / 2.
    return sum

        


